	PROGRAM MAIN
	IMPLICIT NONE

*
*     Blocked LU Factorization
*
*  -- NPAC, Syracuse University --
*     Manish Parashar
*     April 1992
*

	external UserInput
	integer Userinput
	
	integer m, n, nb, lda, info
	integer j

        integer npanels(9)
        integer nprob(10)
        integer ia, ib

        data nprob /50,100,250,500,1000,1500,2000,2500,3000,3500/
        data npanels /1,8,12,16,32,64,128,256,512/

 100	j = UserInput(nb,n,lda)
 	if (j .le. 0) goto 200

c       do ia = 1,8
c         do ib = 1,9

c           lda = nprob(ia)
c           nb = npanels(ib)
	    m = lda
	    n = lda	
c	    print *,m,n,lda,nb

	    if(nb .lt. lda) then
                 call LU(m,n,lda,nb,info)
            else
                 print *,'Error: Block Size > LDA'
		 goto 100
	    endif
	
c         enddo
c       enddo

 	goto 100
	
 200	end 
